### Function

# Foundry file_find_in_ancestors

#### Declaration [src]

    DexFuture*
    foundry_file_find_in_ancestors (
      GFile* file,
      const char* name
    )

#### Description [src]

Locates `name` within any of the ancestors of `file` up to the root of the filesystem.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  The name of the file to find in the ancestors such as “.gitignore”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFile` or rejects with error,.

The caller of the function takes ownership of the data, and is responsible for freeing it.